API request in rhino python
@Joost_Barendregt wrote: I’m trying to build a rhino model based on a json data from an API request. iron python does not have the requests library installed, so I get the error message: Message: ‘No...
View ArticleMachine Learning python Lib in Ironpython
@fbarazi wrote: Hi All, Is there away to use Sklearn, Pandas and Scipy in python for Rhino? Not sure if these are supported in IronPython or there are other alternatives (the limitation of the .net…)....
View ArticleaddNurbsSurface possible bug?
@isvflorin wrote: Hi there, been trying to create creased surfaces with addNurbsSurface, in theory a 1 degree parametrization in one direction should create a single surface with a crease. That’s at...
View ArticleMacro for vieport
@fifino wrote: Hi to everybody! I’m trying to build a little macro for a button that creates a viewport with the size I write into this macro. I need to indicate the size as a fraction. This works if...
View ArticleNeed help with RhinoScript method or algorithm
@Asterisk wrote: So I’m writing a script to automate placing “pilot holes” in a simple square grid onto surfaces. The rule is that the holes along “vertical” edges are offset X units off and the holes...
View ArticleLine length problem with Rhino.UI.Dialogs.ShowTextDialog() - V5
@Helvetosaur wrote: Hi, Obscure problem here with Rhino.UI.Dialogs.ShowTextDialog(), if I feed it a certain configuration of multi-line text, it seems to have a limitation on the number of lines that...
View ArticleHow do I identify vertices along a (mesh) crease?
@RIL wrote: So I manipulated a mesh by moving some vertices around, but in doing so I accidently move also vertices that belongs to “creases”, or would you call it edges? Anyway, how do I identify...
View ArticleFlow Object in Python
@Benjamin4 wrote: Hi everyone, I tried to translate this code: Flow Object in VB into Python. But all I get is the ‘namespace#’ error: “attribute ‘FlowObject’ of ‘namespace#’ object is read-only”. I...
View ArticleWhat exactly is "overlapCurves"? (parameter in CurveBrepFace)
@RIL wrote: What exactly does the overlapCurves parameter represent in the command CurveBrepFace?...
View ArticleFastest way to get index of MeshFace?
@RIL wrote: It seems that MeshFace and MeshFaceList doesn’t provide a simple way to return an index for a given MeshFace (only the other way around, retrieving a MeshFace based on a index). So using...
View ArticleAlternative Navigation in Rhino
@jj1 wrote: Hi there, I have a quick question- Is it possible to change the Default Viewport-navigation via a Rhinoscript? Making transition/switching between diffrent Modelling tools easier… For...
View ArticleTemplate script for Toggle RhinoCommands
@jj1 wrote: Hi there, I am totally new to Rhino (and new to scripting), but I learned from googleing, that I cant use macros to toggle between to functions in Rhino… For example, I would like to...
View ArticleCan I set the individual UV coordinates of a mesh from inside a python script?
@dchristev wrote: Looking for a more verbose UV solution to handling the individual mesh vertices. Posts: 4 Participants: 2 Read full topic
View ArticleCreating mesh faces leaving a naked (split) edge?
@RIL wrote: OK, so I replace some bigger mesh faces (triangles) with smaller faces, and along one of the face edges (the red line pictured below) I would like to make a “naked edge”, so that when...
View ArticleRhinoScript to Python help
@markleichliter wrote: Hi folks - long time no see! I have 2500 holes to place at point locations in my file. I found this old Rhinoscript by Damon - any chance I could get it rewritten in Python so I...
View ArticleMoving on another object
@fifino wrote: I need a button that moves selected objects over another object (“ground”): 1-select the "gound" 2-select the objects I want to move on it 3-move the selected objects on the upper side...
View ArticleRhinoCommon Curve.Offset() with multiple results (limitation)
@Helvetosaur wrote: Hi all, This is a long standing problem which I had always hoped Rhino could solve - especilly RhinoCommon. When you have a figure such as in the attached, the inner offset will...
View Article_Curvethroughpt vs Rhino.AddInterpCurve
@JSV wrote: Ran into an issue with fitting a line to an array of 3D points. I have e.g. an array of 350 points, which form a line that curves with depth. I do not want to fit a straight line between...
View ArticleETO ListBox with DataStore and custom items (list of )
@clement wrote: Hi @curtisw, @dale, i am creating a Eto.Forms.ListBox which uses a DataStore for its list items as shown here. However my list is not a list of strings but a list of class instances....
View ArticleRhino3dmIO error during reading notes
@Alessandro_Ferrini wrote: Hi everyone, I’ve found some issue using RhinoCommon DLL for open a .3dm file outside Rhino 5. The issue is about reading the “Notes”...
View Article